
class DirLister
	#
	# options[:directory] => directory
	# options[:pattern]   => regexp
	#
	def self.list(options={})
		directory = (options[:directory] or options[:dir] or Dir.pwd)
		pattern = (options[:pattern] or //)

		ret_arr = []

		return false if File.directory?(directory) == false

		Dir.entries(directory).each { |entry|
			if entry != '.' and entry != '..' and pattern =~ entry
				ret_arr << entry
			end
		}
		return ret_arr
	end
end